Bug 11376 - ifconfig fails to report promisc mode
Summary: ifconfig fails to report promisc mode
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcpdump   
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On: 10739
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-11 23:05 UTC by dbrumley
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-11 18:37:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description dbrumley 2000-05-11 23:05:50 UTC
ifconfig fails to report promisc mode.  This more probably is a linux
kernel thingy as far as I can tell, because ifstatus also will not
show promisc mode.

Sorry for the lack of information, but i'm kinda bogged down :)

To test:
/usr/sbin/tcpdump -n -w blah &

ifconfig -a

no PROMISC flag shows.

Comment 1 Jeff Johnson 2000-05-15 11:22:59 UTC
This is a tcpdump bugture/featlet. Changing component.

Comment 2 Jeff Johnson 2000-07-11 18:40:56 UTC
Fixed (by updating tcpdump man page) in tcpdump-3.4-22.


Note You need to log in before you can comment on or make changes to this bug.